Special Order
PBKT1071 Image 4.jpg
MPN: PBKT1071

Leed Brakes PBKT1071 Power booster kit 9 inch booster 1 inch bore master disc/drum (Zinc)

$648.46
HBCJ_PBKT1071
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. power booster, 1 in. bore master cylinder and front disc rear drum proportioning...
Special Order
RFC1007SMX.jpg
MPN: RFC1007SMX

Leed Brakes RFC1007SMX Spindle Kit with 2" Drop Spindles Drilled Rotors and Powder Coated Calipers

$1,387.50
HBCJ_RFC1007SMX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1007-3A3X

Leed Brakes RFC1007-3A3X Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,765.78
HBCJ_RFC1007-3A3X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC0001SMX Image 2.jpg
MPN: RFC0001SMX

Leed Brakes RFC0001SMX Spindle Kit with Drilled Rotors and Red Powder Coated Calipers

$1,798.33
HBCJ_RFC0001SMX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RC2001X

Leed Brakes RC2001X Rear Disc Brake Kit with Drilled Rotors and Zinc Plated Calipers

$1,347.63
HBCJ_RC2001X
Brake Brake Conversion Kit Brakes Dodge Challenger Dodge Charger Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to disc brake conversion. In this kit you...
Special Order
PRE112 Image 2.jpg
MPN: PRE112

Leed Brakes PRE112 Adjustable push rod Kit for manual brakes

$112.61
HBCJ_PRE112
Body Brake Pedal Push Rod Brakes Ford Mustang Hardware, Fasteners and Fittings Leed Brakes
Fully adjustable manual brake pushrod kit for your 1964-73 Mustang. Correct pedal attachment & bushing to work with factory pedal and brake light switch....
Special Order
MPN: PBKT1093

Leed Brakes PBKT1093 Power booster kit 9 inch booster 1 inch bore master disc/disc (Chrome)

$732.61
HBCJ_PBKT1093
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster, 1 in. bore master cylinder with chrome cap and chrome...
Special Order
PBKT1066.jpg
MPN: PBKT1066

Leed Brakes PBKT1066 Power booster kit 9 inch booster 1-1/8 inch bore master disc/drum (Zinc)

$647.67
HBCJ_PBKT1066
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. power booster, 1-1/8 in. bore master cylinder and front disc rear drum proportioning...
Special Order
RFC2003-P405X Image 6.jpg RFC2003-P405X Image 3.jpg
MPN: RFC2003-P405X

Leed Brakes RFC2003-P405X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,616.87
HBCJ_RFC2003-P405X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this kit you...
Special Order
RFC2003-C05PX Image 4.jpg RFC2003-C05PX Image 7.jpg
MPN: RFC2003-C05PX

Leed Brakes RFC2003-C05PX Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,385.13
HBCJ_RFC2003-C05PX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC1002-3A3X Image 3.jpg
MPN: RFC1002-3A3X

Leed Brakes RFC1002-3A3X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,696.24
HBCJ_RFC1002-3A3X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC0004-405X

Leed Brakes RFC0004-405X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,241.15
HBCJ_RFC0004-405X
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to manual disc brake conversion. In this kit you...
Special Order
RC1007X Image 1.jpg
MPN: RC1007X

Leed Brakes RC1007X Rear Disc Brake Kit with Drilled Rotors and Zinc Plated Calipers

$1,332.87
HBCJ_RC1007X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your full size Chevrolet with our Rear End Disc Brake Conversion Kit. In...
Special Order
RFC2002-C05PX Image 4.jpg
MPN: RFC2002-C05PX

Leed Brakes RFC2002-C05PX Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,408.71
HBCJ_RFC2002-C05PX
Brake Brake Conversion Kit Brakes Dodge Challenger Dodge Charger Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC0025-Y307X

Leed Brakes RFC0025-Y307X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,831.57
HBCJ_RFC0025-Y307X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our Manual drum to Power disc conversion with MaxGrip XDS rotors....
Special Order
RC2001 Image 4.jpg RC2001 Image 8.jpg
MPN: RC2001

Leed Brakes RC2001 Rear Disc Brake Kit with Plain Rotors and Zinc Plated Calipers

$1,152.14
HBCJ_RC2001
Brake Brake Conversion Kit Brakes Dodge Challenger Dodge Charger Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to disc brake conversion. In this kit you...
Special Order
MPN: RC1009X

Leed Brakes RC1009X Rear Disc Brake Kit with Drilled Rotors and Zinc Plated Calipers

$1,347.63
HBCJ_RC1009X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your 3rd Generation F-body with our GM 10 Bolt Rear End Disc Brake...
Special Order
RC0003X Image 13.jpg
MPN: RC0003X

Leed Brakes RC0003X Rear Disc Brake Kit with Drilled Rotors and Zinc Plated Calipers

$1,318.12
HBCJ_RC0003X
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to disc brake conversion. In this kit you...
Special Order
MPN: PL3824

Leed Brakes PL3824 Inverted flare plug 3/8-24

$11.65
HBCJ_PL3824
Brakes Hardware and Service Supplies Hardware, Fasteners and Fittings Inverted Flare Fitting Leed Brakes
Leed Brakes hydraulic fittings and adapters are designed to give you a safe hassle-free way to adapt new master cylinders and valves to your...
Special Order
MPN: PBKT2003-3

Leed Brakes PBKT2003-3 Power Brake Booster with Brake Master Cylinder

$789.91
HBCJ_PBKT2003-3
Brake Brakes Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your factory power brake car to a new 8" dual diaphragm power booster and 1 in. bore drum brake master cylinder with our...
Special Order
MPN: PBKT1091

Leed Brakes PBKT1091 Power booster kit 9 inch booster 1 inch bore master (Chrome)

$608.67
HBCJ_PBKT1091
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster and 1 in. bore master cylinder with chrome cap. This...
Special Order
MPN: PBKT1076

Leed Brakes PBKT1076 Power booster kit 9 inch booster 1-1/8 inch flat top (Chrome)

$685.14
HBCJ_PBKT1076
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster and 1-1/8 in. bore chrome flat top master cylinder. This...
Special Order
MPN: PBKT1068

Leed Brakes PBKT1068 Power booster kit 9 inch booster 1-1/8 inch bore master combo valve (Zinc)

$642.93
HBCJ_PBKT1068
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. power booster, 1-1/8 in. bore master cylinder and adjustable combination block. This kit...
Special Order
MPN: RFC1011-3A1X

Leed Brakes RFC1011-3A1X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,706.85
HBCJ_RFC1011-3A1X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1003-FA1X

Leed Brakes RFC1003-FA1X Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,928.63
HBCJ_RFC1003-FA1X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1003-F05X

Leed Brakes RFC1003-F05X Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,821.46
HBCJ_RFC1003-F05X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC1003-E1A1X Image 7.jpg
MPN: RFC1003-E1A1X

Leed Brakes RFC1003-E1A1X Power Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,945.72
HBCJ_RFC1003-E1A1X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1002-F05X

Leed Brakes RFC1002-F05X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,627.95
HBCJ_RFC1002-F05X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC1002-E1A3X Image 2.jpg RFC1002-E1A3X Image 8.jpg
MPN: RFC1002-E1A3X

Leed Brakes RFC1002-E1A3X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,882.62
HBCJ_RFC1002-E1A3X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC0025-405X

Leed Brakes RFC0025-405X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,536.38
HBCJ_RFC0025-405X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc conversion. In this kit you receive everything...
Special Order
MPN: RFC0003-405X

Leed Brakes RFC0003-405X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,233.77
HBCJ_RFC0003-405X
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to manual disc brake conversion. In this kit you...
Special Order
RC0001X Image 4.jpg
MPN: RC0001X

Leed Brakes RC0001X Rear Disc Brake Kit with Drilled Rotors and Zinc Plated Calipers

$1,318.12
HBCJ_RC0001X
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to disc brake conversion. In this kit you...
Special Order
MPN: RA4139LD

Leed Brakes RA4139LD Rear Disc Brake Caliper with Parking Brake Red Powder Coated LH

$335.45
HBCJ_RA4139LD
Brake Brake Hydraulics Brakes Disc Brake Caliper Leed Brakes
New Red Powder Coated single piston rear brake caliper fully assembled ready to install. This new mechanical parking brake kit includes semi-metallic brake pads,...
Special Order
MPN: PBKT1092

Leed Brakes PBKT1092 Power booster kit 9 inch booster 1 inch bore master disc/drum (Chrome)

$739.11
HBCJ_PBKT1092
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster, 1 in. bore master cylinder with chrome cap and chrome...
Special Order
PBKT1078 Image 4.jpg
MPN: PBKT1078

Leed Brakes PBKT1078 Power booster kit 9 inch booster 1-1/8 inch flat top disc/disc (Chrome)

$795.25
HBCJ_PBKT1078
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster, 1-1/8 in. bore chrome flat top master cylinder and chrome...
Special Order
MPN: PBKT1047

Leed Brakes PBKT1047 Power booster kit 8 inch dual booster 1-1/8 inch flat top combo valve (Chrome)

$833.36
HBCJ_PBKT1047
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 8 in. dual diaphragm chrome power booster, 1-1/8 in. bore chrome flat top master cylinder...
Items 217 to 252 of 1093 total

Your cart

×
🚫

Not Available in Your Region

Sorry, Performance Parts Canada is only available to customers in Canada and the United States.

If you believe this is an error, please contact us at info@performancepartscanada.ca.